View Issue Details

IDProjectCategoryView StatusLast Update
0002217SymmetricDSBugpublic2015-03-17 12:58
ReporterhhoweAssigned Tochenson 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.7 
Target Version3.7.10Fixed in Version3.7.10 
Summary0002217: Android zip contains superflous slf4j jars
DescriptionThe zip for symmetric-android 3.7.7 contains 3 slf4j jars:

slf4j-android-1.6.1.RC1.jar
slf4j-api-1.7.7.jar
slf-4j-log4j12-1.7.7.jar

The android slf4j jar contains some of the same class that are in the other two. Namely, LoggerFactory and StaticLoggerBinder. This duplication creates weird build errors in a multidex application:

java.util.zip.ZipException: duplicate entry: org/slf4j/impl/StaticLoggerBinder.class

Sometimes the error is for a different slf4j class. Workaround is to simply delete the second 2 jar files and retain the android one.
Steps To ReproduceCreate a new android project in android studio 1.1.0
Download symmetric 3.7.7 for android and extract to the ./app//libs directory of the android project
Modify the apps gradle file to build a multidex app. Pasted into the additional information block

Expected: app should build
Observed: build error:

* What went wrong:
Execution failed for task ':app:packageAllDebugClassesForMultiDex'.
> java.util.zip.ZipException: duplicate entry: org/slf4j/helpers/BasicMarker.class
Additional Informationapply plugin: 'com.android.application'

android {
    compileSdkVersion 21
    buildToolsVersion "21.1.2"

    defaultConfig {
        applicationId "com.sourceallies.hhowe.symtest"
        minSdkVersion 16
        targetSdkVersion 21
        versionCode 1
        versionName "1.0"

        multiDexEnabled true
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}

dependencies {
    compile 'com.android.support:multidex:1.0.1'

    compile fileTree(dir: 'libs', include: ['*.jar'])
    compile 'com.android.support:appcompat-v7:21.0.3'
}
TagsNo tags attached.

Activities

hhowe

2015-02-26 12:08

reporter   ~0000673

This issue is preventing me from using your maven repo for my android builds. It contains the extra jars too.

Related Changesets

SymmetricDS: master fe3f5317

2015-03-11 21:00:55

chenson

Details Diff
0002217: Android zip contains superflous slf4j jars
0002217
mod - symmetric-assemble/build.gradle Diff File
mod - symmetric-assemble/common.gradle Diff File

Issue History

Date Modified Username Field Change
2015-02-26 11:47 hhowe New Issue
2015-02-26 12:08 hhowe Note Added: 0000673
2015-03-11 21:01 chenson Fixed in Version => 3.7.10
2015-03-11 21:01 chenson Target Version => 3.7.10
2015-03-11 21:01 chenson Status new => resolved
2015-03-11 21:01 chenson Resolution open => fixed
2015-03-11 21:01 chenson Assigned To => chenson
2015-03-11 22:00 chenson Changeset attached => SymmetricDS trunk r9408
2015-03-17 12:58 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master fe3f5317